package com.sifang.modules.taskdispatch.vo;

public class SignStatus {

    /**
     * 非审核组成员无需显示签到和签退
     */
    private final boolean needSign;
    /**
     * 签到按钮是否可用
     */
    private final boolean signinEnable;

    public SignStatus(boolean needSign, boolean signinEnable) {
        this.needSign = needSign;
        this.signinEnable = signinEnable;
    }

    /**
     * 用于控制按钮签到、签退按钮是否需要显示
     */
    public boolean isNeedSign() {
        return needSign;
    }

    public boolean isSigninEnable() {
        return signinEnable;
    }
}
